[build, libgcc] Ensure libgcc_s unwinder is always used on 64-bit Solaris 10+/x86 (PR target/59788)

Rainer Orth ro@CeBiTec.Uni-Bielefeld.DE
Mon Jan 20 12:29:00 GMT 2014


Rainer Orth <ro@CeBiTec.Uni-Bielefeld.DE> writes:

> Unfortunately, the patch needs a change to the bundled ltmain.sh: by
> default, libtool `optimizes' -lgcc_s -lc -lgcc_s into -lc -lgcc_s.
> Combined with direct binding, this lead to exactly the failure the patch
> intends to avoid.  The libtool bug has already been reported and a patch
> proposed:
>
> 	http://lists.gnu.org/archive/html/libtool-patches/2014-01/msg00005.html

The patch has been accepted upstream now.

> I don't need approval for the Solaris specific parts, but another pair
> of eyes would certainly be helpful.

Given that there were no other comments, I'd like to install the patch
now.  Ian, could you please install the ltmain.sh patch in libgo/config,
or should I do so myself?

Thanks.
        Rainer

-- 
-----------------------------------------------------------------------------
Rainer Orth, Center for Biotechnology, Bielefeld University



More information about the Gcc-patches mailing list